Create a personal data export
POST
/v1/tenants/current/personal-data-exportscurl -X POST 'https://api.embodiflow.io/v1/tenants/current/personal-data-exports' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"subjectUserId": "00000000-0000-0000-0000-000000000000"
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
请求体
Content-Typeapplication/json
- subjectUserIdstring (uuid)必填
响应
Success
- dataobject必填
- requestIdstring必填
- tenantIdstring必填
- subjectUserIdstring必填
- generatedAtstring必填
- recordsarray<PersonalDataExportTableDto>必填
- metaobject必填
- requestIdstring必填
响应示例
{
"data": {
"requestId": "string",
"tenantId": "string",
"subjectUserId": "string",
"generatedAt": "string",
"records": [
{
"table": "string",
"rows": [
{}
]
}
]
},
"meta": {
"requestId": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1